#### Description:

This function copies a single entry from one KeyMap into another.

#### Synopsis

void astMapCopyEntry( AstKeyMap ∗this, const char ∗key, AstKeyMap ∗that, int merge )

#### Parameters:

##### this

Pointer to the destination KeyMap.

##### key

The character string identifying the value to be copied. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

##### that

Pointer to the source KeyMap.

##### merge

Indicates what to do if the named entry holds a KeyMap and a KeyMap entry with the same key already exists in the destination KeyMap. If zero, the existing destination KeyMap will be deleted and replaced by a copy of the source KeyMap. If non-zero, all entries in the source KeyMap will be copied into the existing destination KeyMap using function astMapCopy.

#### Notes:

- This fuction returns without action if the named entry does not exist in the source KeyMap.

- Entries from the source KeyMap will replace any existing entries in the destination KeyMap that have the same key.

- If the destination entry has a non-zero value for its MapLocked attribute, then an error will be reported if the source KeyMap contains any keys that do not already exist within the destination KeyMap.

Copyright (C) 2021 East Asian Observatory